[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.DoCopyRect

Verifies and copies the source canvas.

## Declaration

Source position: graphics.pp line 1061

`protected procedure TCanvas.DoCopyRect(`
`x: Integer;`
`y: Integer;`
`SrcCanvas: TFPCustomCanvas;`
`const SourceRect: TRect`
`); override;`

## Description

DoCopyRect checks that SrcCanvas is of correct type then copies coordinates and calls CopyRect.

## Errors

If SrcCanvas is not of type TCanvas then writes a warning to the debug output that copying is not supported

## See also

TCanvas.CopyRect |  | Copies the rectangle found at Source in SrcCanvas to the destination position in Dest.